import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/appSignRadioContent/page`,
    method: 'post',
    data
  })
}

// 新增
export function create(data){
  return request({
    url: `/appSignRadioContent/save`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id){
  return request({
    url: `/appSignRadioContent/get/${id}`,
    method: 'get'
  })
}

// 编辑
export function edit(data){
  return request({
    url: `/appSignRadioContent/update`,
    method: 'post',
    data
  })
}

// 上下架
export function change(data){
  return request({
    url: `/appSignRadioContent/updateStatus`,
    method: 'post',
    data
  })
}

// 删除
export function remove(data){
  return request({
    url: `/appSignRadioContent/remove`,
    method: 'post',
    data
  })
}